org.apache.cayenne.access.trans

## Class LOBInsertBatchQueryBuilder

- java.lang.Object
- - org.apache.cayenne.access.trans.BatchQueryBuilder
  - - org.apache.cayenne.access.trans.LOBBatchQueryBuilder
    - - org.apache.cayenne.access.trans.LOBInsertBatchQueryBuilder

-     public class LOBInsertBatchQueryBuilder
      extends LOBBatchQueryBuilder

- - ### Field Summary

    - ### Fields inherited from class org.apache.cayenne.access.trans.LOBBatchQueryBuilder

      `newBlobFunction, newClobFunction`

    - ### Fields inherited from class org.apache.cayenne.access.trans.BatchQueryBuilder

      `adapter, trimFunction`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LOBInsertBatchQueryBuilder(DbAdapter adapter)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `createSqlString(BatchQuery batch)` Translates BatchQuery into an SQL string formatted to use in a PreparedStatement.
    `List` | `getValuesForLOBUpdateParameters(BatchQuery query)`

    - ### Methods inherited from class org.apache.cayenne.access.trans.LOBBatchQueryBuilder

      `appendUpdatedParameter, bindParameters, createLOBSelectString, getNewBlobFunction, getNewClobFunction, isUpdateableColumn, setNewBlobFunction, setNewClobFunction`

    - ### Methods inherited from class org.apache.cayenne.access.trans.BatchQueryBuilder

      `appendDbAttribute, getAdapter, getParameterValues, getTrimFunction, setAdapter, setTrimFunction`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LOBInsertBatchQueryBuilder

          public LOBInsertBatchQueryBuilder(DbAdapter adapter)

  - ### Method Detail

    - #### getValuesForLOBUpdateParameters

          public List getValuesForLOBUpdateParameters(BatchQuery query)

      Specified by:
        `getValuesForLOBUpdateParameters` in class `LOBBatchQueryBuilder`

    - #### createSqlString

          public String createSqlString(BatchQuery batch)

      Description copied from class: `BatchQueryBuilder`
      Translates BatchQuery into an SQL string formatted to use in a PreparedStatement.
      Specified by:
        `createSqlString` in class `BatchQueryBuilder`

Copyright © 2001–2018 Apache Cayenne. All rights reserved.